happstack-server-7.9.3: Web related tools and services.

Safe Haskell | None
Language | Haskell2010

Happstack.Server.Internal.TimeoutIO

Synopsis

- data TimeoutIO = TimeoutIO {
  - toHandle :: Handle
  - toPutLazy :: ByteString -> IO ()
  - toPut :: ByteString -> IO ()
  - toGet :: IO (Maybe ByteString)
  - toGetContents :: IO ByteString
  - toSendFile :: FilePath -> Offset -> ByteCount -> IO ()
  - toShutdown :: IO ()
  - toSecure :: Bool
  }

# Documentation

data TimeoutIO Source #

TimeoutIO is a record which abstracts out all the network IO functions needed by the request handling loop. This allows use to use the same event loop for handle both http:/ and https:/.

Constructors

TimeoutIO |

Fields

- toHandle :: Handle
- toPutLazy :: ByteString -> IO ()
- toPut :: ByteString -> IO ()
- toGet :: IO (Maybe ByteString)
- toGetContents :: IO ByteString
- toSendFile :: FilePath -> Offset -> ByteCount -> IO ()
- toShutdown :: IO ()
- toSecure :: Bool